Name:    skrooge
Summary: Personal finances manager
Version: 1.7.1
Release: 2%{?dist}

License: GPLv2+
URL:     http://skrooge.org
Source0:  http://skrooge.org/files/%{name}-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: libofx-devel
BuildRequires: qca2-devel
BuildRequires: sqlite-devel
BuildRequires: grantlee-devel
BuildRequires: kactivities-devel
BuildRequires: kdepimlibs-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description   
%{name} is a personal finances manager, 
aiming at being simple and intuitive. 
It allows you to keep track of your expenses and incomes, 
categorize them, and build reports of them.

%package libs
Summary: Runtime libraries for %{name} 
Requires: %{name} = %{version}-%{release}
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries for
developing applications that use %{name}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
## the -DCMAKE is needed to prevent unused-direct-shlib-dependency in -libs
## cant be fixed upstream, see: https://bugs.kde.org/show_bug.cgi?id=209912
%{cmake_kde4} .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name} --with-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/skrooge.desktop


%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%files -f %{name}.lang
%doc AUTHORS CHANGELOG COPYING README TODO 
%{_kde4_bindir}/skrooge
%{_kde4_bindir}/skroogeconvert
%{_kde4_bindir}/akonadi_skroogeakonadi_resource
%{_kde4_datadir}/akonadi/agents/*.desktop
%{_kde4_datadir}/applications/kde4/skrooge.desktop
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_appsdir}/skrooge*/
%{_kde4_appsdir}/skg*
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_datadir}/mime/packages/x-skg.xml
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/plasma/
%{_kde4_configdir}/%{name}_monthly.knsrc
%{_kde4_configdir}/%{name}_unit.knsrc
%{_kde4_libdir}/kde4/plugins/grantlee/*/*.so

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/libskgbankgui.so.1*
%{_kde4_libdir}/libskgbankmodeler.so.1*
%{_kde4_libdir}/libskgbasegui.so.1*
%{_kde4_libdir}/libskgbasemodeler.so.1*

%files devel
%{_kde4_libdir}/libskg*.so


%changelog
* Fri Jul 19 2013 siddharth sharma <siddharths@fedoraproject.org> - 1.7.1-2
- Added kde-runtime as required for bz#984317

* Mon Jul 1 2013 siddharth Sharma <siddharths@fedoraproject.org> - 1.7.1-1
- new upstream release 1.7.1

* Sat Mar 16 2013 siddharth Sharma <siddharths@fedoraproject.org> - 1.6.0-2
- Fixing Compiling Error because of missing build requires

* Sat Mar 16 2013 Siddharth Sharma <siddharths@fedoraproject.org> - 1.6.0-1
- new upstream release
- Fix Packaging error for skrooge related akonadi resources

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 08 2012 Sven Lankes <sven@lank.es> - 1.3.3-1
- new upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Bill Nottingham <notting@redhat.com> 1.3.0-2
- rebuild for libofx ABI bump

* Thu Apr 26 2012 Sven Lankes <sven@lank.es> 1.3.0-1
- skrooge 1.3.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Sven Lankes <sven@lank.es> 1.1.1-1
- skrooge 1.1.1

* Fri Aug 19 2011 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-1
- 0.9.1
- -libs: track abi/sonames
- .spec cosmetics, remove deprecated items

* Wed Jun 08 2011 Sven Lankes <sven@lank.es> 0.9.0-1
- skrooge 0.9.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.8.0-1
- skrooge 0.8.0

* Tue Sep 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.7.3-1
- skrooge 0.7.3

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.7.2-1
- skrooge 0.7.2

* Mon May 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.7.1-1
- skrooge 0.7.1 bugfix release

* Mon Apr 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.7.0-1
- Skrooge 0.7.0

* Wed Feb 10 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.0-1
- New upstream source 0.6.0

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> 0.5.5-2
- use %%{_kde4_version}, don't rely on kde4-config --version parsing

* Sun Dec 27 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.5-1
- Update to new upstream release
- Corrects a lot of bugs and problems. See the CHANGELOG for details.

* Sun Nov 30 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.4-1
- Update to new upstream version
- Corrects a lot of bugs and problems. See the changelog for details.

* Sun Nov 01 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.3-1
- Updated to new upstream version
- Readded a -DCMAKE workaround (please keep it for now)
- Useing chmod -x to prevent spurious-executable-perm. Bug filed.

* Wed Oct 14 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.2-2
- (HTML) docs patch, use %%find_lang --with-kde
- own %%{_kde4_appsdir}/skrooge*/ dirs
- %%check: omit extraneous desktop-file-validate's

* Thu Oct 08 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.2-1
- Changed to final 0.5.2 version
- Bugfixes, including a nasty bug where one thinks the data is gone
- added HTML documentation
- added localizations

* Tue Sep 22 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.2-0.1.beta
- Changed to new upstream Version 0.5.2_beta (lots of bugfixes)

* Mon Sep 21 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.5.1-0.5.beta
- Added -libs Requires libofx

* Mon Sep 21 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.1-0.4.beta
- misc cosmetics
- mime scriptlets
- move icons to hicolor
- -libs: drop dup'd docs, add min kdelibs4 dep

* Thu Sep 17 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.1-0.3.beta
- Spec file corrections and Version correction

* Wed Sep 16 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.1-beta2
- cleaned up desktop files

* Tue Sep 15 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.1-beta1
- changed version to 0.5.1 beta with fixed rpmlint output

* Sun Sep 13 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.0-2
- Fixed the spec and rpmlintoutput debuginfo-without-source

* Fri Sep 11 2009 Thomas Janssen <thomasj@fedoraproject.org>  0.5.0-1
- Initial Release 0.5.0
